/*
 * Class ITERATION_CURSOR [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1688 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1688 [] = {0xFF01,1551,1687,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1688 [] = {0xFF01,1687,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1688 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1688 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1688 [] = {0xFF01,1687,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1688 [] = {0xFF01,1687,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1688 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1688 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1688 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1688 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1688 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1688 [] = {1687,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1688 [] = {0xFF01,1687,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1688 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1688 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1688[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1688), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1688), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1688), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1688), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1688), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1688), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1688), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1688), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1688), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1688), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1688), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1688), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1688), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1688), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1688), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1688), -1, 0xFFFFFFFF},
};
void Init1688(void)
{
	IDSC(desc_1688, 0, 1687);
	IDSC(desc_1688 + 1, 1, 1687);
	IDSC(desc_1688 + 32, 1449, 1687);
}


#ifdef __cplusplus
}
#endif
